Subject: Re: [PATCH RFC v3 0/12] vti4: prepare namespace and interfamily support.

From: Steffen Klassert <[email-masked]>
Date: Fri, 14 Feb 2014 08:48:01 +0100

On Tue, Feb 04, 2014 at 12:05:06PM +0100, Christophe Gouault wrote:
> 
> Hi Steffen, and thank you for the patch.
> 
> I tested it within a single netns, then with cross-netns.

Thaks a lot for testing!

> 
> Unfortunately, the inbound/forward policy checks do not take the inbound
> interface into account (__xfrm_decode_session does not properly fill in
> the iif field of the flowi), so in the last global policy check, there
> is no way of differentiating a plaintext packet directly received from
> the network from a plaintext packet that was processed by a vti interface.

Input interface maching is not implemented, the xfrm_selector has
one ifindex field and this is interpreted as the output interface.
But I would not mind if someone would implement input interface maching.

I'll do another, hopefully final, RFC version of the vti4 paches today.